# array_playground

Useful extensions for Lists

Hecho en 🇵🇷 por Radamés J. Valentín Reyes

## Import

~~~dart
import 'package:array_playground/array_playground.dart';
~~~
----------------------------------------------------------------------
## AsyncRemoveWhere

An async function to remove all items where the function's criteria isn't met.

~~~dart
List<int> dataArray = [15,18,11,25,63];
print("Original array:");
print(dataArray);
await dataArray.asyncRemoveWhere((a)async{
  return (15 < a && a <= 25);
});
print("Resulting array:");
print(dataArray);
~~~
----------------------------------------------------------------------
## Chunkify array
~~~dart
List<int> dataArray = [15,18,11,25,63];
List<List> chunkifiedArray = dataArray.chunkify(2);
print(chunkifiedArray);//Output [[15, 18], [11, 25], [63]]
~~~
------------------------------------------------------------
## Contribute/donate by tapping on the Pay Pal logo/image

<a href="https://www.paypal.com/paypalme/onlinespawn"><img src="https://www.paypalobjects.com/webstatic/mktg/logo/pp_cc_mark_74x46.jpg"/></a>

------------------------------------------------------------